Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alsb.financial.api
Class FinancialException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.alsb.financial.api.FinancialException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AggregationException, IdentificationException, MessageWrapper.NullMessageDataObjectException, ParseException, SerializationException, SplitException, TransformationException, UnsupportedMessageTypeException, ValidationException

    public class FinancialException

extends Exception

This is the root exception for all exceptions in the Financial Facade.

See Also:
  Serialized Form

Constructor Summary
`FinancialException()` Empty constructor.
`FinancialException(String message)` Message-based constructor.
`FinancialException(String message, Throwable cause)` Full constructor.
`FinancialException(Throwable cause)` Cause-based constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FinancialException

    public FinancialException()

  Empty constructor.

### FinancialException

    public FinancialException(String message)

  Message-based constructor.

  Parameters:
    `message` - the error message.

### FinancialException

    public FinancialException(Throwable cause)

  Cause-based constructor.

  Parameters:
    `cause` - the original exception causing the trouble.

### FinancialException

    public FinancialException(String message,
                              Throwable cause)

  Full constructor.

  Parameters:
    `message` - the error message.
    `cause` - the original exception causing the trouble.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD